Bug 254336 - Support for Grails 3 is missing
Support for Grails 3 is missing
Status: STARTED
Product: groovy
Classification: Unclassified
Component: Grails
8.1
PC Windows 7
: P1 with 9 votes (vote)
: Dev
Assigned To: bruno.flavio
issues@groovy
: 8.1_WAIVER_APPROVED
Depends on: 255520 257961 268187 254405 254464 254629 255967
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 07:25 UTC by thruminds
Modified: 2016-10-21 19:23 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description thruminds 2015-08-13 07:25:14 UTC
Netbeans Grails support doesn't work on latest version of Grails (3.0.4). Last working version is Grails 2.5. 
The Grails build engine was changed to Gradle instead of Gant, and the folder structure has changed. Netbeans now can't recognize (open) new Grails projects
Comment 1 bruno.flavio 2015-08-13 22:51:01 UTC
Thank you for reporting this bug.


I'll start with the basic issues:
  - Update the project signature so existing projects are detected;
  - Readjusting the source folders (as per https://grails.github.io/grails-doc/latest/guide/upgrading.html);
  - Create project/controller/service/etc;
  - Run the application.
  - Maintain compatibility with grails v2.

Things that may be trickier/take longer:
  - Debugging (new flags? http://stackoverflow.com/a/29833867)
  - Highlighting&Syntax analysis on .gradle files (perhaps we could use the gradle plugin for this? http://plugins.netbeans.org/plugin/44510/gradle-support otherwise it's necessary to write a new lexer...)
Comment 2 Jiri Kovalsky 2015-08-14 12:44:59 UTC
Baby steps, Bruno. First it will be great if the Grails 3 projects could be recognized and correctly opened. Actually, why don't you create 5 or more individual TASK issues and make them block this one turning it into an umbrella issue. This is our standard we use in similar situations. And thanks!
Comment 3 thruminds 2015-08-14 15:46:54 UTC
(In reply to Jiri Kovalsky from comment #2)
> Baby steps, Bruno. First it will be great if the Grails 3 projects could be
> recognized and correctly opened. Actually, why don't you create 5 or more
> individual TASK issues and make them block this one turning it into an
> umbrella issue. This is our standard we use in similar situations. And
> thanks!

Give me a slice of those tinies, I have a couple of hours daily for about a week. I may be of help.
Comment 4 Jiri Kovalsky 2015-09-09 16:39:01 UTC
8.1 bug waiver requested in blocking issue #254464 approved.
Comment 5 kicolobo 2016-02-10 17:09:40 UTC
Hi,

is there a forecast about when this issue will be available for other users?

I whould like to help testing this issue. What should I do?
Comment 6 bruno.flavio 2016-02-10 22:01:47 UTC
(In reply to kicolobo from comment #5)

Hi, thank you for your interest.

NetBeans 8.1 should be able to open grails 3 projects. I expect the other issues related to grails 3 to be resolved and available to users when NetBeans 8.2 is released [1].

The best way to take advantage of these features right now and help with the development is to download and evaluate the NetBeans development version [2] , groovy features are available in the 'All' bundle.

As it stands you should have the ability to run and debug grails 3 projects. There are still some issues to resolve due to changes in the grails CLI invocations. 

Let us know about issues/enhancements that you find necessary so that we can make this feature as good as possible by the next release.


[1] http://services.netbeans.org/dashboard/web/team.php?id=1054&version=8.2
[2] http://bits.netbeans.org/download/trunk/nightly/latest/
Comment 7 piedriver101 2016-09-05 13:13:11 UTC
Bruno is no longer apart of this project, who is handling this issue now?
Comment 8 ftmamud 2016-10-19 02:06:09 UTC
Hello, 

I'm interested too in helping.

[]s
Felipe Mamud
Comment 9 bruno.flavio 2016-10-19 23:54:53 UTC
(In reply to ftmamud from comment #8)
Hello Felipe,

Thank you very much for your interest.
Currently we're missing a few things so we can (finally) close this issue:

  * traits support (issue 255520): there is some work underway and currently documented at http://wiki.netbeans.org/MakeGroovyInNetBeansGreatAgain#Traits

  * fixing the visibility of tests (issue 257961): there is a patch already, before applying I'd like to see if someone could verify that the dependent issue 257835 works correctly;

  * working nicely with the Gradle plugin (issue 268187): Nobody working on this at the moment;

  * not essential to the Grails 3 support but would be really nice to have a solution for supporting multiple Grails versions at once (issue 206555): Nobody working on this at the moment.


I'll update this issue with these blockers. If you see other things that should be solved pertaining to grails 3 support please let me know. Your willingness to help is welcome, let me know if you need some support or help getting started in the area that you choose to tackle (testing, patches, filing new issue reports?).

-Bruno
Comment 10 pedro.henrique 2016-10-21 19:23:31 UTC
I have no experience in Netbeans pluing development but I'm interested in contribute, If it's possible.(In reply to ftmamud from comment #8)
> Hello, 
> 
> I'm interested too in helping.
> 
> []s
> Felipe Mamud

I have no experience in Netbeans plugin development, but I'm interested in contribute Felipe, If it's possible.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo